package com.sunxung.factoring.entity.entprise;


import com.sunxung.factoring.entity.sys.Dictionary;

import java.util.List;

/**
 * @Description:企业录入实体（管理第三方获取数据）
 * @author wanxiangZhou
 * @version V1.0
 * @since 2017年3月18日 下午3:16:52
 */
public class EnterpriseEntry {

    private static final long serialVersionUID = 1L;

    private String keyWord;
    /** 企业工商信息ID（非中间表） **/
    private Long entBusinessInfo;
    private Dictionary interfaceType;
    private String keyNo;
    private String interfaceName;
    private List<Long> interfaceIdList;

    //区分是否事业单位0否1是
    private String flag;

    public String getKeyWord() {
        return keyWord;
    }

    public void setKeyWord(String keyWord) {
        this.keyWord = keyWord;
    }

    public Long getEntBusinessInfo() {
        return entBusinessInfo;
    }

    public void setEntBusinessInfo(Long entBusinessInfo) {
        this.entBusinessInfo = entBusinessInfo;
    }

    public Dictionary getInterfaceType() {
        return interfaceType;
    }

    public void setInterfaceType(Dictionary interfaceType) {
        this.interfaceType = interfaceType;
    }

    public String getKeyNo() {
        return keyNo;
    }

    public void setKeyNo(String keyNo) {
        this.keyNo = keyNo;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public List<Long> getInterfaceIdList() {
        return interfaceIdList;
    }

    public void setInterfaceIdList(List<Long> interfaceIdList) {
        this.interfaceIdList = interfaceIdList;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }
}
